# $Revision: 1.26.2.1 $, $Date: 2007/03/24 23:22:17 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support for MIDI
#
Summary:	x86/DOS emulator with sound/graphics primarily for games
Summary(pl):	Emulator x86/DOS z dwikiem/grafik gwnie dla gier
Name:		dosbox
Version:	0.70
Release:	1
License:	GPL
Group:		Applications/Emulators
Source0:	http://dl.sourceforge.net/dosbox/%{name}-%{version}.tar.gz
# Source0-md5:	ea0a936e88eb294038e67eeb0d7129c4
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.conf
URL:		http://dosbox.sourceforge.net/
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_sound-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
%{?debug:BuildRequires:	ncurses-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fmerge-all-constants -ffast-math

%description
DOSBox emulates a 286/386 realmode/protected mode CPU, Directory
FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA graphics, a
SoundBlaster/Gravis Ultra Sound card for excellent sound compatibility
with older games...

You can "re-live" the good old days with the help of DOSBox, it can
run plenty of the old classics that don't run on your new computer!

%description -l pl
DOSBox emuluje tryb rzeczywisty/chroniony procesora 286/386, system
plikw z katalogami, pami XMS/EMS, karty graficzne
Tandy/Hercules/CGA/EGA/VGA/VESA oraz karty muzyczne
SoundBlaster/Gravis Ultra Sound w celu zapewnienia znakomitej
kompatybilnoci ze starymi grami.

Stare wspomnienia odyj z pomoc DOSBoksa. Dziki niemu mona
uruchomi mnstwo klasykw, ktre nie odpalaj si na nowych
komputerach.

%prep
%setup -q

%build
# kill AM_PATH_SDL and AM_PATH_ALSA, leave only AH_{TOP,BOTTOM}
tail -n +306 acinclude.m4 > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4
%if !%{with alsa}
echo 'AC_DEFUN([AM_PATH_ALSA], [$3])' >> acinclude.m4
%endif
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shots \
	%{?debug:--enable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS dosbox.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dosbox.spec,v $
Revision 1.26.2.1  2007/03/24 23:22:17  hawk
- updated to 0.70

Revision 1.26  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.25  2006/03/31 15:06:29  wolf
- 0.65

Revision 1.24  2005/12/12 16:44:45  qrczak
- dosbox-c++.patch: needed for gcc4 ("extra qualification" error).

Revision 1.23  2005/04/10 11:36:56  wolf
- BR: SDL_sound-devel

Revision 1.22  2005/04/08 23:01:32  wolf
- rel 2
- add coreswitch, timesync

Revision 1.21  2005/02/28 23:02:38  zbyniu
- BR: libstdc++-devel

Revision 1.20  2005/02/28 21:56:46  qboosh
- s/internap\.dl/dl/ in Source URL (internap is no longer browsable)

Revision 1.19  2004/11/19 13:58:46  wolf
- 0.63

Revision 1.18  2004/11/14 21:00:22  wolf
- rel 3
- updated description

Revision 1.17  2004/10/18 22:07:39  qboosh
- unified sf URL, replaced invalid rpmcflags redefinition by specflags

Revision 1.16  2004/09/30 13:24:14  wolf
- rel 2
- add hq2x patch
- use moe's recommended optimizations

Revision 1.15  2004/09/30 10:36:48  wolf
- 0.62

Revision 1.14  2004/09/21 02:11:28  ankry
- rel. 2

Revision 1.13  2004/02/03 21:57:33  wolf
- 0.61

Revision 1.12  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.11  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.10  2003/10/19 17:32:42  qboosh
- BR: SDL_net-devel, alsa-lib-devel (with bcond), ac, am

Revision 1.9  2003/10/15 20:28:51  wolf
- 0.60

Revision 1.8  2003/09/30 10:46:22  qboosh
- mark config as config

Revision 1.7  2003/09/13 17:43:51  grzegol
- added .desktop file, icon and simple config
- rel. 2

Revision 1.6  2003/09/13 16:32:51  grzegol
- added URL
- added ChangeLog to %%doc
- sorted BRs

Revision 1.5  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.4  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/12 11:45:48  wolf
- adapterized
